| Home | Libraries | People | FAQ | More

## Function template deep_copy

boost::proto::deep_copy — A function for deep-copying Proto expression trees.

## Synopsis

    // In header: <boost/proto/deep_copy.hpp>

    template<typename Expr>
      typename proto::result_of::deep_copy<Expr>::type
      deep_copy(Expr const & expr);

## Description

A function for deep-copying Proto expression trees. When a tree is deep-copied, all internal nodes and terminals held by reference are instead held by value.

Notes: | Terminals of reference-to-function type are left unchanged. Equivalent to `proto::functional::deep_copy()(expr)` .